//---------------------------------------------------------------------------

#ifndef TaperH
#define TaperH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <System.ImageList.hpp>
#include <Vcl.Dialogs.hpp>
#include <Vcl.ExtCtrls.hpp>
#include <Vcl.ImgList.hpp>
#include <Vcl.Menus.hpp>
//---------------------------------------------------------------------------
typedef struct {
	double taperlength,smalldia,largedia;
    String Name;
	} taper;
//---------------------------------------------------------------------------

class TTaperForm : public TForm
{
__published:	// IDE-managed Components
	TCheckBox *NumberLines;
	TMainMenu *MainMenu1;
	TMenuItem *File;
	TMenuItem *SaveAs1;
	TMenuItem *N1;
	TMenuItem *Exit1;
	TMenuItem *Edit1;
	TMenuItem *Copy1;
	TMenuItem *Paste1;
	TMenuItem *N2;
	TMenuItem *SelectAll1;
	TMenuItem *Help1;
	TMenuItem *Help2;
	TImageList *ImageList1;
	TSaveDialog *SaveDialog1;
	TCheckBox *Waypoint;
	TLabel *Label5;
	TEdit *LineNumberIncrement;
	TLabel *Label1;
	TLabel *X;
	TLabel *Label2;
	TEdit *WaypointZ;
	TEdit *WaypointX;
	TLabel *Label7;
	TEdit *ClearanceX;
	TEdit *ClearanceZ;
	TLabel *Label6;
	TEdit *Feedrate;
	TLabel *Label8;
	TEdit *RoughingDOC;
	TEdit *FinishDOC;
	TLabel *Label9;
	TLabel *Label11;
	TLabel *Label10;
	TRadioGroup *FeedRateMode;
	TRadioGroup *MeasurementMode;
	TRadioGroup *Units;
	TMemo *Header;
	TMemo *Footer;
	TMemo *Memo1;
	TLabel *Label3;
	TEdit *StartpointX;
	TEdit *StartpointZ;
	TLabel *Label4;
	TComboBox *TaperComboBox;
	TCheckBox *Faced;
	TLabel *Label12;
	TEdit *FaceZ;
	TCheckBox *Cylinder;
	TEdit *CylinderX;
	TEdit *CylinderZ;
	TCheckBox *HideComments;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall NumberLinesClick(TObject *Sender);
	void __fastcall WaypointClick(TObject *Sender);
	void __fastcall UnitsClick(TObject *Sender);
	void __fastcall ClearanceXChange(TObject *Sender);
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall SaveAs1Click(TObject *Sender);
	void __fastcall Exit1Click(TObject *Sender);
	void __fastcall Edit1Click(TObject *Sender);
	void __fastcall SelectAll1Click(TObject *Sender);
	void __fastcall Paste1Click(TObject *Sender);
	void __fastcall Copy1Click(TObject *Sender);
	void __fastcall Help2Click(TObject *Sender);
	void __fastcall FacedClick(TObject *Sender);
	void __fastcall CylinderClick(TObject *Sender);
private:	// User declarations
	void __fastcall UpdateGCode(void);
    //Taper dimensions in mm
	DynamicArray <taper> Tapers;
public:		// User declarations
	__fastcall TTaperForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TTaperForm *TaperForm;
//---------------------------------------------------------------------------
#endif
